<div class="actions">
  <button (click)="renderComponentPortal()">Render component portal</button>
  <button (click)="renderTemplatePortal()">Render template portal</button>
  <button (click)="renderDomPortal()">Render DOM portal</button>
  <label for="detach">Detach previous?</label>
  <input id="detach" type="checkbox" [(ngModel)]="detach" />
</div>

<main>
  <ng-template cdkPortalOutlet></ng-template>
</main>

<ng-template #template>
  <h5>Some awesome content</h5>
  <p>Lorem ipsum dolor sit amet</p>
</ng-template>
